Bug Hunting Session
Bug 53843 - FORMATTING: The line spacing inside table cells does not affect the last line (causing wrong cells' height)
Summary: FORMATTING: The line spacing inside table cells does not affect the last line...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 82112 (view as bug list)
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2012-08-20 12:47 UTC by Lekow
Modified: 2019-06-27 02:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Archive with example .DOC file with different line spacing in two tables and screenshots from MSO 2007 and LO 3.6 (30.16 KB, application/zip)
2012-08-20 12:47 UTC, Lekow
Details
line_spacing_example.doc (29.00 KB, application/vnd.ms-word)
2018-06-26 08:03 UTC, Timur
Details
line_spacing_compare.jpg (116.65 KB, image/jpeg)
2018-06-26 08:04 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lekow 2012-08-20 12:47:22 UTC
Created attachment 65834 [details]
Archive with example .DOC file with different line spacing in two tables and screenshots from MSO 2007 and LO 3.6

When changing the line spacing for text inside table cells in MS office, the height of cells is also always changed. Even in the case of 1 line per cell.
The LibreOffice 3.6.0 shows another behavior: line height (e.g. 1.5) is applied to the text but in the case of 1-line cell content this does not affect the cell height. If the cell contains several lines, then spacing between them is increasing properly, but last line does not have spacing after it.
In long documents with a lot of tables such behavior causes significant differences in text length in different editors.
Example and screenshots are in the attachment.
Comment 1 Buovjaga 2014-11-06 12:00:23 UTC
Confirmed.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 Cor Nouws 2015-03-02 21:32:35 UTC Comment hidden (obsolete)
Comment 3 Cor Nouws 2015-03-02 21:36:14 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-04-01 16:06:54 UTC
(In reply to Cor Nouws from comment #3)
> (In reply to Cor Nouws from comment #2)
> > Has this ever been handled correct by LibreOffice ??
> 
> And maybe it is correct - conform file specifications - and MsOffice opens
> it wrong?

I don't know, but the rendering is the same in MSO 2013 as with 2007.
The difference persists in 4.5 alpha.

Win 8 32-bit
MSO 2013
LibreOffice Version: 4.5.0.0.alpha0+
Build ID: 4dde5a623d563f9007dd3539b835489a27128d65
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-01_11:40:51
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:26:06 UTC Comment hidden (obsolete)
Comment 6 Timur 2017-03-06 19:55:55 UTC
*** Bug 82112 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2018-06-26 02:42:51 UTC Comment hidden (obsolete)
Comment 8 Timur 2018-06-26 08:03:39 UTC
Created attachment 143125 [details]
line_spacing_example.doc
Comment 9 Timur 2018-06-26 08:04:21 UTC
Created attachment 143126 [details]
line_spacing_compare.jpg

Same behavior in 6.2+.
Comment 10 QA Administrators 2019-06-27 02:53:54 UTC
Dear Lekow,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug